Skip to main content
PATCH
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

domain_id
integer
required

The domain ID

path_id
string<uuid>
required

The path ID

Body

application/json

Request model for updating an API path

path
string

The updated API path. When updating the path, variables can be renamed, path parts can be converted to variables and vice versa.

Maximum string length: 1024
Example:

"/api/v1/paths/{path_id}"

tags
string[]
Maximum array length: 5

A user defined tag. Tags must start with a letter and can contain only letters, numbers and spaces.

Maximum string length: 50
Pattern: ^[a-zA-Z]+[ a-zA-Z0-9]*$
Example:
api_groups
string[]
Example:
status
enum<string>

The different statuses an API path can have

Available options:
CONFIRMED_API,
POTENTIAL_API,
NOT_API,
DELISTED_API

Response

Successful Response

Response model for the API path

id
string<uuid>
required

The path ID

path
string
required

The API path, locations that are saved for resource IDs will be put in curly brackets

Maximum string length: 1024
Example:

"/api/v1/paths/{path_id}"

method
enum<string>
required

The API RESTful method

Available options:
GET,
POST,
PUT,
PATCH,
DELETE,
TRACE,
HEAD,
OPTIONS
api_version
string
required

The API version

Maximum string length: 32
Example:

"v1"

http_scheme
enum<string>
required

The HTTP version of the API path

Available options:
HTTP,
HTTPS
first_detected
string<date-time>
required

The date and time in ISO 8601 format the API path was first detected.

last_detected
string<date-time>
required

The date and time in ISO 8601 format the API path was last detected.

tags
string[]
required

An array of tags associated with the API path

Maximum array length: 5

A user defined tag. Tags must start with a letter and can contain only letters, numbers and spaces.

Maximum string length: 50
Pattern: ^[a-zA-Z]+[ a-zA-Z0-9]*$
Example:
api_groups
string[]
required

An array of api groups associated with the API path

Example:
status
enum<string>
required

The status of the discovered API path

Available options:
CONFIRMED_API,
POTENTIAL_API,
NOT_API,
DELISTED_API
source
enum<string>
required

The source of the discovered API

Available options:
API_DESCRIPTION_FILE,
TRAFFIC_SCAN,
USER_DEFINED
request_count
integer
required

The number of requests for this path in the last 24 hours